Bug 1444365 - [abrt] gnome-shell: js::GCMethods<JSObject*>::needsPostBarrier(): gnome-shell killed by signal 11 [NEEDINFO]
[abrt] gnome-shell: js::GCMethods<JSObject*>::needsPostBarrier(): gnome-shell...
Status: NEW
Product: Fedora
Classification: Fedora
Component: gjs (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:77d35a4fd49af2d1d105f7eeb21...
: Reopened
: 1462562 1464097 1465065 1468253 1470939 1471394 1471583 1471940 1472448 1472641 1472865 1472990 1473358 1473377 1473716 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-21 04:55 EDT by Mikhail
Modified: 2018-05-03 04:32 EDT (History)
119 users (show)

See Also:
Fixed In Version: gjs-1.48.6-1.fc26 gjs-1.48.6-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-23 15:54:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
xzj8b3: needinfo? (mikhail.v.gavrilov)


Attachments (Terms of Use)
File: backtrace (68.33 KB, text/plain)
2017-04-21 04:55 EDT, Mikhail
no flags Details
File: cgroup (289 bytes, text/plain)
2017-04-21 04:55 EDT, Mikhail
no flags Details
File: core_backtrace (34.77 KB, text/plain)
2017-04-21 04:55 EDT, Mikhail
no flags Details
File: dso_list (2.31 KB, text/plain)
2017-04-21 04:55 EDT, Mikhail
no flags Details
File: environ (1.72 KB, text/plain)
2017-04-21 04:55 EDT, Mikhail
no flags Details
File: exploitable (82 bytes, text/plain)
2017-04-21 04:56 EDT, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2017-04-21 04:56 EDT, Mikhail
no flags Details
File: maps (139.06 KB, text/plain)
2017-04-21 04:56 EDT, Mikhail
no flags Details
File: open_fds (9.23 KB, text/plain)
2017-04-21 04:56 EDT, Mikhail
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2017-04-21 04:56 EDT, Mikhail
no flags Details
File: var_log_messages (319 bytes, text/plain)
2017-04-21 04:56 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2017-04-21 04:55:44 EDT
Version-Release number of selected component:
gnome-shell-3.24.1-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=ed2c6412da054d1996f968474617a5ce;i=174ff;b=5165ab00bd2d4cf8aa9994391ad390fa;m=61a672b14;t=54da026d8312a;x=2603c230dc8fa519
kernel:         4.11.0-0.rc7.git0.1.fc26.x86_64+debug
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 js::GCMethods<JSObject*>::needsPostBarrier at /usr/include/mozjs-38/js/RootingAPI.h:663
 #1 JS::Heap<JSObject*>::set at /usr/include/mozjs-38/js/RootingAPI.h:296
 #2 JS::Heap<JSObject*>::operator= at /usr/include/mozjs-38/js/RootingAPI.h:266
 #3 GjsMaybeOwned<JSObject*>::reset at gjs/jsapi-util-root.h:266
 #4 closure_clear_idle at gi/closure.cpp:132
 #10 meta_run at core/main.c:646
Comment 1 Mikhail 2017-04-21 04:55:51 EDT
Created attachment 1273236 [details]
File: backtrace
Comment 2 Mikhail 2017-04-21 04:55:53 EDT
Created attachment 1273237 [details]
File: cgroup
Comment 3 Mikhail 2017-04-21 04:55:55 EDT
Created attachment 1273238 [details]
File: core_backtrace
Comment 4 Mikhail 2017-04-21 04:55:57 EDT
Created attachment 1273239 [details]
File: dso_list
Comment 5 Mikhail 2017-04-21 04:55:59 EDT
Created attachment 1273240 [details]
File: environ
Comment 6 Mikhail 2017-04-21 04:56:01 EDT
Created attachment 1273241 [details]
File: exploitable
Comment 7 Mikhail 2017-04-21 04:56:02 EDT
Created attachment 1273242 [details]
File: limits
Comment 8 Mikhail 2017-04-21 04:56:05 EDT
Created attachment 1273243 [details]
File: maps
Comment 9 Mikhail 2017-04-21 04:56:07 EDT
Created attachment 1273244 [details]
File: open_fds
Comment 10 Mikhail 2017-04-21 04:56:09 EDT
Created attachment 1273245 [details]
File: proc_pid_status
Comment 11 Mikhail 2017-04-21 04:56:10 EDT
Created attachment 1273246 [details]
File: var_log_messages
Comment 12 Ryan Farmer 2017-06-18 18:36:15 EDT
*** Bug 1462562 has been marked as a duplicate of this bug. ***
Comment 13 Cristian Contescu 2017-06-22 08:23:51 EDT
*** Bug 1464097 has been marked as a duplicate of this bug. ***
Comment 14 xzj8b3 2017-06-26 10:24:17 EDT
*** Bug 1465065 has been marked as a duplicate of this bug. ***
Comment 15 František Zatloukal 2017-06-27 07:57:40 EDT
Similar problem has been detected:

Looks like a random crash. 2 monitors layout - one with Visual Studio Code 
and second one with Chrome window playing video from YouTube (NOT fullscreen)

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=1d96ac80dc0a40a080e73eea1fb4b46e;i=1431c6;b=f804f6cab0fa4992b21e21de8b448166;m=770e18cc;t=552efa2894fb7;x=23656e2e48cabdf
kernel:         4.11.6-301.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Leslie Satenstein 2017-07-06 09:16:37 EDT
*** Bug 1468253 has been marked as a duplicate of this bug. ***
Comment 17 Leslie Satenstein 2017-07-06 09:18:44 EDT
1468253 has more details of what I was doing at the time
Comment 18 maarten 2017-07-12 07:09:46 EDT
Similar problem has been detected:

- Installed vlc from rpmfustion-free
- I opened a mp3 with included cover art from nautilus
- Move the mouse cursor slowly from above to below.
Starting at the bottom of the picture, passing the time slider.
Clicking to change the time slide is not necessary.
- If the bug does not trigger, open a new mp3 file with included cover art and try again

What happens?
The screen freezes. No input is possible. Mouse and keyboard do not respond.
CTRL+ALT+Fn to change VT's does not even work.
The audio plays till the end, after which the freeze is finished.
This abrt report is the first time a crash happened at the time of the unfreeze.

What should have happened?
No freeze.

How reproducible?
When it occurs the first time, I can reproduce it quite good.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=526dba4dfab74d48bf025c6e37ce79e5;i=1087a;b=330c80bcf2e144c9be6f2f051a1c7ac0;m=d6183ae2;t=5541c6d7a5234;x=ceee1bdfa9ad4cd9
kernel:         4.11.8-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 19 Dipak Dudhabhate 2017-07-13 12:41:39 EDT
Similar problem has been detected:

1. Opened the libreoffice writer
2. Tried notebook UI option
3. then it is crashed

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=7e79eded35b346118c1d03de5aa0f507;i=89f74;b=f78796f9f7294963bb1e0ce6044e44cd;m=691e330e;t=5543558ae84df;x=a38631b1b5d1ede8
kernel:         4.11.9-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 20 Humberto Borba 2017-07-13 23:36:45 EDT
Similar problem has been detected:

I was using Google chrome and for some unknown reason the system have crashed. I have no idea what can cause this issue.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=27a39803ceb2411aa412b4688f4fe2a1;i=12ba43;b=17e07a7591a2454c963e9ee21ce74ea0;m=fc69527d;t=5543e8c3dc805;x=eeb19ddc7498ec81
kernel:         4.11.9-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 21 Bas Driessen 2017-07-14 01:27:44 EDT
*** Bug 1470939 has been marked as a duplicate of this bug. ***
Comment 22 James Willcox 2017-07-14 11:30:40 EDT
Similar problem has been detected:

gnome-shell crashed during normal usage. It has happened several times after upgrading to Fedora 26, but I have not yet identified any specific steps to reproduce it.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=818b4d702fad480bbd40ae75bc923bfc;i=63ec9;b=8c8360ae68614df28d933fe90f17916d;m=254b656b32;t=554489a47c7f0;x=3de9f9180b7c3768
kernel:         4.11.9-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 23 Bugiardo 2017-07-15 11:10:19 EDT
*** Bug 1471394 has been marked as a duplicate of this bug. ***
Comment 24 amarty 2017-07-16 13:10:59 EDT
Similar problem has been detected:

I was working in Open Office Calc and suddenly the Shell session terminated and restarted it self.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=e2bde10b7cc44c8d9e05fff5f1497a4c;i=8b0b;b=7a1b3a6cd1f14b8f82e4950443c08fd5;m=52f64967;t=554724223b0ab;x=102581e5fa1b4697
kernel:         4.11.9-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 25 joan heiliger 2017-07-16 21:08:19 EDT
*** Bug 1471583 has been marked as a duplicate of this bug. ***
Comment 26 kanoahelms 2017-07-16 23:15:17 EDT
Similar problem has been detected:

I was working and it crashed. At the moment of crash I was working inside a VM powered by Virsh.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=80038cac77f1408fa524802ee783fa1c;i=221c9;b=a46f7335d5c24bbb8f3dfdf7738e7dd3;m=10b3036ce;t=5547aa55804e0;x=94df48c2d7d1665b
kernel:         4.11.9-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 27 slazer 2017-07-17 12:48:11 EDT
Similar problem has been detected:

Suddenly, I've been thrown to login screen. It happened really fast, I am still in shock! Probably some daemons. I've been setting up my bluetooth headphones, perhaps the bluetoothd might have caused it. Please, don't let the explanation vanish! I want the full etiopathology of this incident and I want the cure. Shells should be rock solid, otherwise the turtles get hurt. Got it, shells?

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=a0b6418a06bf4f10a267ecc5e2695459;i=24410;b=d422be42593f48d28eb23bc7b0ec82e3;m=1ac1b41a;t=55485ffb36ebc;x=a8b2dafcc64573d4
kernel:         4.11.10-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 28 Ronen Lapushner 2017-07-17 13:52:40 EDT
*** Bug 1471940 has been marked as a duplicate of this bug. ***
Comment 29 Dan Loomis 2017-07-18 00:38:20 EDT
Similar problem has been detected:

Watching a video on youtube and poof the the Gnome login screen was displayed after the screen went dark
Here's the video link https://www.youtube.com/watch?v=1Z4G7BMUCm8

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=bea10238bd644a49a7c5c85d1f528020;i=225c1;b=6a546ba379274b93aba3b8c297263615;m=17639bec5;t=5548fe1c1a88e;x=50886ad92816f0da
kernel:         4.11.10-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 30 tisserant 2017-07-18 09:05:43 EDT
Similar problem has been detected:

Gnome-shell has crashed just one second after I open a mp3 file with audacious, but I'm not totally sure there is causal link. 
I try to reproduce the bug without result. 
There is no problem on the computer before the gnome-shell problem. 

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=0cc8524630384237bf5841665cebeef5;i=b405;b=5ffa999d4ef7467d8de0b0c079933ce1;m=16c60b4b3e;t=55496f9a3877b;x=ef5483f88df3b0e1
kernel:         4.11.9-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 31 František Zatloukal 2017-07-18 12:57:14 EDT
Similar problem has been detected:

Random crash, I am not able to reproduce it.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=1d96ac80dc0a40a080e73eea1fb4b46e;i=16439e;b=946a07b946a3410a9c8479cb40f5dbab;m=1d7ff0c15;t=554980438bf55;x=52cb5e0f08bb580f
kernel:         4.11.10-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 32 slazer 2017-07-18 14:42:31 EDT
*** Bug 1472448 has been marked as a duplicate of this bug. ***
Comment 33 alexander.luhovyk 2017-07-18 17:30:39 EDT
Similar problem has been detected:

Gnome just crashed after ~6 hours. The laptop haven't being entered sleep mode during that time.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=39d20ea37a994b519c53d5e0ff472207;i=1c4ca;b=011aed96e389474f9433460cddf81a9e;m=51a0ff773;t=5549d2c83ce66;x=8166156071072d1d
kernel:         4.11.9-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 34 pandasticus 2017-07-19 03:15:40 EDT
*** Bug 1472641 has been marked as a duplicate of this bug. ***
Comment 35 icewater 2017-07-19 10:49:09 EDT
*** Bug 1472865 has been marked as a duplicate of this bug. ***
Comment 36 icewater 2017-07-19 10:55:36 EDT
Frequently when this has happened for me, I am listening to a podcast in mp3 format with audacious through bluetooth headphones.  (Seems to be similar to some others' cases?)

I can't say with certainty that this was the scenario in every instance.  But it has happened often enough that I've developed a pavlovian response to the Bluetooth disconnection *beep*.
Comment 37 Kevin Clymans 2017-07-19 14:50:16 EDT
*** Bug 1472990 has been marked as a duplicate of this bug. ***
Comment 38 Kevin Clymans 2017-07-19 15:06:26 EDT
This seems to be related to: https://bugzilla.redhat.com/show_bug.cgi?id=1453008
Comment 39 Ildar Akhmetgaleev 2017-07-20 03:05:06 EDT
Similar problem has been detected:

I did nothing special. Actualy this was second time GNOME crashed after upgrade to Fedora 26.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=0333d555453f494c9ecfed14a96e3196;i=b6691;b=cb43fa75511e40a99ae3141f4a6840d4;m=4316b97650;t=554b9baa95b42;x=225171cb9a20b7ad
kernel:         4.11.9-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 40 v0mqfish 2017-07-20 11:27:17 EDT
*** Bug 1473358 has been marked as a duplicate of this bug. ***
Comment 41 Eric 2017-07-20 12:57:20 EDT
Similar problem has been detected:

1)  Use chrome, vmwork station, terminator, hangouts, fireforx, remmina, and other apps
2) Watch your screen flicker after a while and you get a gnome shell crashed

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=89acd515834d4885bf893ea8e53b1c7f;i=7641;b=63261ee8411c4662b852395fae1f45b6;m=24b18f49fa;t=554c25df6eae1;x=1c3dd86c8d2cbb29
kernel:         4.11.9-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 42 Florian Müllner 2017-07-21 08:56:47 EDT
This is a segfault during garbage collection, so either an issue with libmozjs38 or (more likely) gjs.
Comment 43 Florian Müllner 2017-07-21 09:04:05 EDT
*** Bug 1473377 has been marked as a duplicate of this bug. ***
Comment 44 Florian Müllner 2017-07-21 09:53:16 EDT
*** Bug 1473716 has been marked as a duplicate of this bug. ***
Comment 45 gauravsitlani 2017-07-22 00:19:30 EDT
Similar problem has been detected:

I don't know how gnome crashed suddenly while using IRC and internet

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=149a31adc2124bd181db06a1015f27ab;i=22d03;b=3bb5cbb98c354ae7b80c8bc092fe6ecc;m=4ddac4e89;t=554d87931db56;x=5803ca4bf971e1a3
kernel:         4.11.9-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 46 Andrew Schultz 2017-07-22 09:40:58 EDT
Similar problem has been detected:

I chose Terminal->Set Title... from Gnome Terminal.  It brought up a dialog and I hit "cancel".  Gnome Shell crashed.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=aa7ed48f67c44afaab8b01c74e5ed267;i=99773c;b=ef057acf71a84121a1310c7f96735b57;m=7eb58c29e;t=554e7f813edf4;x=39b15c2f0fa199ed
kernel:         4.11.9-200.fc25.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 47 Paul58 2017-07-23 17:20:46 EDT
Similar problem has been detected:

appeared just after the fedora 26 update
appears randomly, but very often, and this computer is no more really usable.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=0e9fc51dbbc74c12a01d81913edc5b29;i=a301;b=0a23f16f9de04f5fa432565f02e4a8c6;m=234a45426;t=555021997ae32;x=90b4d217e4c89bc3
kernel:         4.11.10-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 48 Paul58 2017-07-23 17:41:29 EDT
Most often crash appears during a mouse movement, but not necessarily.
Comment 49 Paul58 2017-07-24 15:07:39 EDT
most often crashes just when the pointer matches an active area on the window
Comment 50 Ragnar Skaret 2017-07-25 06:31:41 EDT
Similar problem has been detected:

The faukt has happened 2 times.  I have a fresh install of Fedora 26.

I had one Firefox with 2-3 tabs going and one Google-chrome with one tab.
In addition I had Rhythmbox running with live radio.

The second time I was filling out a form inside the google-chrome web browser.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=451099f956d34bb59b77f419f6afa7f8;i=4bec5;b=8cf96b7ddeb5456ab6372aa951ad24d1;m=11a834e832;t=555206972a1a1;x=109dbe501b8758fa
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 51 Eric Burgueño 2017-07-25 06:37:07 EDT
Similar problem has been detected:

The crash happens at random. I was just browsing a site in Google Chrome. The behavoir started after upgrading to F26.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=648b67b5ffee4d90a0b4980267f2ed0e;i=200a92;b=29d0c99a29fb400493bf8c0bbd65f5fc;m=3036883883;t=5552161c4a435;x=a493b09ad6667d3b
kernel:         4.11.10-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 52 Jairo Jorquera 2017-07-25 10:15:50 EDT
Similar problem has been detected:

I was using firefox 

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=cf2e1d77b7804af69e3ddb3738cf27d2;i=e443;b=8919359579e94c67b233b766ea347211;m=ca8a1087a;t=55524c72c2fac;x=909aec771da460fc
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 53 drsaca007 2017-07-26 03:06:04 EDT
Similar problem has been detected:

I have refreshed my system from 25 to 26 based on the standard way. From this my system crash every 10 minutes. Last time only a Mozzilla run.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=01684e0b168f4c328dcd118db150b194;i=261cc5;b=0029f401fa8b48aea777fa869a2c0374;m=146fe375d3;t=55532ef12bff5;x=c247dda96093690a
kernel:         4.11.10-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 54 fastos 2017-07-26 10:49:48 EDT
Similar problem has been detected:

using firefox (youtube videos)

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=fc8ca6c72e3a4565a75180c97746732d;i=4d1cc;b=d6051cc91c954e0aa11b945a1a36b030;m=a6f7735f;t=5553943ceff97;x=96647d377a0489b0
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 55 andreas.mack@konsec.com 2017-07-27 16:40:53 EDT
Similar problem has been detected:

Viewed a DVD with VLC, working in the browser. Second time it happened in short order.
Thinkpad with intel gpu, second screen attached.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=b26de589bbf24134849aa94b9b3bd9d5;i=7dc92;b=18757eeaf0d24ffdbd896051abd747ae;m=3189687a27;t=555527071c89c;x=23a39f51273750f0
kernel:         4.11.9-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 56 Evan Nemerson 2017-07-27 17:13:03 EDT
(In reply to andreas.mack@konsec.com from comment #55)
> Thinkpad with intel gpu, second screen attached.

FWIW I also have multiple monitors (3) attached to an Intel CPU (Xeon E3-1225 v3) on the machine on which I've been having this problem…  Is anyone seeing this on a non-Intel GPU or with a single monitor?
Comment 57 Dan Loomis 2017-07-27 19:41:47 EDT
FYI  HP Zbook 17 G2 with AMD Firepro discreet graphics connected to external monitor.   It only happened once and is reported above.
Comment 58 Vít Ondruch 2017-07-28 06:29:31 EDT
This update should resolve the issue:

https://bodhi.fedoraproject.org/updates/gjs-1.48.6-1.fc26

See https://bugzilla.gnome.org/show_bug.cgi?id=783935#c55
Comment 59 tejbabu91 2017-07-28 07:53:34 EDT
Similar problem has been detected:

Problem occured when the system was idle.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=93ba0f54f7ca4185a6a51e8b55aa611d;i=21ab4;b=10fe6e7da168496ca55b2aed0c4d4315;m=22a205501;t=5555b16397e4f;x=4e168e08dac4721c
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 60 Fedora Update System 2017-07-28 09:05:36 EDT
gjs-1.48.6-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f6910d8598
Comment 61 Michael Mauger 2017-07-28 20:19:15 EDT
Similar problem has been detected:

Happens frequently; no pattern to it from what I can see

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=674d8e3cfdd14c99bb357c3525d03674;i=8b1b6;b=7d9f1722e254467c94eb542688c7cea7;m=5393f22e;t=555698cecce70;x=3c948950e4ad12db
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 62 Ildar Akhmetgaleev 2017-07-29 16:00:21 EDT
(In reply to Fedora Update System from comment #60)
> gjs-1.48.6-1.fc26 has been submitted as an update to Fedora 26.
> https://bodhi.fedoraproject.org/updates/FEDORA-2017-f6910d8598

Have same crash after upgrade.
Comment 63 David Finnerty 2017-07-29 16:36:51 EDT
Similar problem has been detected:

Was using web briwser (Chrome) I was on Facebook.  But also had a wordpress site open I was editing (Usin DIVI Theme)

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=d837d0a6201640b2b0d900bef0a3803c;i=610df;b=a47715c18d5a4f66acdd58b11a8192dc;m=2b8b4e8f0d;t=5557a91471545;x=209b9284e0cea4e5
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 64 kanoahelms 2017-07-30 13:59:54 EDT
Similar problem has been detected:

Happened several times while listening to Audacious and working in PhpStorm

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=a8c90450db404497891b4b255762680f;i=8cad;b=c61f738b9cce4feb83925ebb9a7aac5c;m=478551ff2;t=55581a9fc8aa9;x=aace43b833345ff4
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 65 kanoahelms 2017-07-30 19:24:29 EDT
Similar problem has been detected:

Recommended update does not exist

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=a8c90450db404497891b4b255762680f;i=9853;b=c61f738b9cce4feb83925ebb9a7aac5c;m=13e84c25e1;t=5559119f39099;x=9360ec172f4a1f1d
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 66 Fedora Update System 2017-07-31 00:22:31 EDT
gjs-1.48.6-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f6910d8598
Comment 67 Nicolas 2017-07-31 05:11:05 EDT
Similar problem has been detected:

Not very speacial use, Audacious opened, Firefox also.
2 hard disk link on USB

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=e04ee05235884490aa33eb8e36630e19;i=ebfa;b=9e46df24fe0e4cc093ae8f1aa0aff29a;m=4911c5f6;t=555993b26e436;x=58d222bc80539aab
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 68 Andrew Holt 2017-07-31 09:52:11 EDT
Similar problem has been detected:

Coding in PhpStorm
Chrome open
YouTube playing in the background
Listening through headphones
Dell XPS 15 (9560)
Sound did not play after logging back in to Gnome until the headphones were unplugged and plugged back in

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=4f13495ab16b49b0ae80ea05d7d1024a;i=16d4;b=8a6b0ae567b74a198993da8b4ee40b72;m=413bd6e7f;t=5559d18d70a9a;x=568157d045cb143
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 69 Dean Hunter 2017-07-31 14:36:36 EDT
Similar problem has been detected:

I was using RhythymBox to listen to an MP3 internet radio station while using AisleRiot Solitare to play FreeCell.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=ce373681e94c4ecf8f8f0bb272c55d21;i=f8ff;b=2349e5d13fa84e28966814a7e8f4ac25;m=9fc0b659;t=555a134216a25;x=134f11ce28deba88
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 70 Adam Plumb 2017-07-31 15:30:45 EDT
Similar problem has been detected:

I wasn't doing anything in particular.  Listening to music using Audacious.  Had Intellij open and maybe a terminal.  This has happened twice today within an hour of eachother.  Just upgraded from Fedora 25 to Fedora 26 last night.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=063664b4ec744dd9a1b4c93550720106;i=11d87;b=d0cdcb81c80a4e20b4acf95159cd2995;m=7a940e09a;t=555a1e9f08fbd;x=58993684fc5e73d9
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 71 Léonard 2017-07-31 16:39:46 EDT
Similar problem has been detected:

Screen went black, and it seems that gnome restarted to the login screen, and all graphical running programs crashed.
I just updated to fedora 26 and was looking at a video with firefox launch and rythmbox and a couple more program.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=92d54760ccfb4bddbea69d6d9c612ae8;i=f98d8;b=0eb34eb3732746f197406587de268294;m=31d691a3;t=555a2dc62f706;x=6007c03a3e353544
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 72 Nicolas 2017-08-01 11:21:34 EDT
Similar problem has been detected:

Again the same issue, Audacious opened with ALSA output

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=e04ee05235884490aa33eb8e36630e19;i=12d9e;b=9e46df24fe0e4cc093ae8f1aa0aff29a;m=a7338677e;t=555b286cc3099;x=2d8559dfa9f2b835
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 73 Fedora Update System 2017-08-01 12:24:03 EDT
gjs-1.48.6-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 74 bugzilla 2017-08-02 04:55:32 EDT
Similar problem has been detected:

I was using Atom and installing packages there.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=0943fffb7a3042a598cc9d44415de3b4;i=1fb2b;b=383c96ba43764254a6e4362741232468;m=ed324824f;t=555c1465d05d3;x=a6e1f54cb797e936
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 75 Lutz Griesbach 2017-08-02 05:39:03 EDT
Similar problem has been detected:

updated today to gjs-1.48.6-1.fc26 - opened a pdf in Google chrome, but this seems not reproducable

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=1ce7764f33b84bd19b7deef37f1c36ba;i=1256c;b=123dc5a3d6ae40d4a111de7c780a31c2;m=1cb677a5d;t=555c1de4a7ea7;x=85d1dd2c86b76392
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 76 Nicolas 2017-08-02 06:00:41 EDT
Similar problem has been detected:

Gnome crashed, it happened 5 times since this morning. Always the same situation, Audacious opened.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=e04ee05235884490aa33eb8e36630e19;i=19c37;b=9e46df24fe0e4cc093ae8f1aa0aff29a;m=147af0b288;t=555c2341573c7;x=a4d727e2154742bb
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 77 bugzilla 2017-08-02 09:17:18 EDT
Similar problem has been detected:

using kicad

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=0943fffb7a3042a598cc9d44415de3b4;i=1ff04;b=383c96ba43764254a6e4362741232468;m=1261c23bf5;t=555c4d4fabf78;x=96a56fddec01c565
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 78 Dakota Lambert 2017-08-02 09:27:39 EDT
Similar problem has been detected:

Watching a youtube video in firefox, website in chrome, and gnome-boxes running a centos VM. 

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=5b63fe0240ef4c01a06beb5a57563583;i=823b;b=9256f0d909f44af7a3e0d289c1012b2c;m=b06dcd69;t=555c51b6e2698;x=7c80a4de1643dbb3
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 79 Nicolas 2017-08-03 04:17:01 EDT
Similar problem has been detected:

Fedora is up-to-date with gjs-1.48.6-1.fc26.x86_64. Audacious & Firefox opened.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=e04ee05235884490aa33eb8e36630e19;i=22992;b=9e46df24fe0e4cc093ae8f1aa0aff29a;m=1f7dc29e0f;t=555d4d927c2d2;x=c6c3b44b7c9de0ce
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 80 icewater 2017-08-05 01:13:25 EDT
My system is up to date with gjs.x86_64 1.48.6-1.fc26 - GNOME shell crashed again.  

I was listening to an mp3 with Audacious while simultaneously experimenting with espeak.
Comment 81 František Zatloukal 2017-08-05 16:47:52 EDT
Similar problem has been detected:

gjs-1.48.6-1.fc26.x86_64
gnome-shell-3.24.3-1.fc26.x86_64

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=29eef336eb644f278244776cbb8eba00;i=1fa11;b=13dc7188d4f74072947a024104c117d7;m=10b2aa4ab;t=556079734123f;x=36b7a33bf1fb52f1
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 82 Dan Loomis 2017-08-06 02:05:46 EDT
There are several crashes after the fix was applied.   How do we get this bug report reopened?
Comment 83 jim 2017-08-06 08:27:26 EDT
Similar problem has been detected:

watching playlist in vlc. double clicked on second last on playlist to view, froze for a  few seconds, then black screen, few more seconds was at login window.
log back in all programs and unsaves data  gone.
this is forth event in a week.  
_____________________________________________________

vlc  version 

[dusk@dusk ~]$ vlc --version
VLC media player 3.0.0-git Vetinari (revision 2.2.0-git-13163-g351b63f476)
VLC version 3.0.0-git Vetinari (2.2.0-git-13163-g351b63f476)
Compiled by mockbuild on buildvm-01.online.rpmfusion.net (Jun 24 2017 09:08:08)
Compiler: gcc version 7.1.1 20170526 (Red Hat 7.1.1-2) (GCC)
This program comes with NO WARRANTY, to the extent permitted by law.
You may redistribute it under the terms of the GNU General Public License;
see the file named COPYING for details.
Written by the VideoLAN team; see the AUTHORS file.
[dusk@dusk ~]$ 


reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=d547dc958e9941758c20208453c8259c;i=edeab;b=e5fbb4c6986b4e99839e307abd68b609;m=5b22cecc2c;t=5561424d22b46;x=57596363c72cd45f
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 84 jim 2017-08-06 15:02:32 EDT
Similar problem has been detected:

when i came back to pc after several hours of inactivity, log on and greeted with error  28min ago.
I had to log in twice, all running programs gone, but i noticed  motion still running in back round.
it was set to run from terminal,  "motion -n"  non-daemon mode.
fifth error event in a week   > and  motion is common to all. 
____________________________________________
[root@dusk ~]# history
    1  dnf install vlc
    2  dnf install https://download1.rpmfusion.org/free/fedora/rpmfusion-free-release-$(rpm -E %fedora).noarch.rpm https://download1.rpmfusion.org/nonfree/fedora/rpmfusion-nonfree-release-$(rpm -E %fedora).noarch.rpm
    3  dnf install motion-4.0.1-5.fc26.x86_64
    4  dnf install ffmpeg-3.3.2-1.fc26.x86_64

___________________________________________________
[dusk@dusk ~]$ top

top - 13:36:16 up 4 days, 19:43,  5 users,  load average: 1.83, 1.54, 1.28
Tasks: 269 total,   1 running, 268 sleeping,   0 stopped,   0 zombie
%Cpu(s): 24.5 us,  1.0 sy,  0.0 ni, 73.3 id,  0.0 wa,  0.6 hi,  0.6 si,  0.0 st
KiB Mem : 16388928 total,  1412704 free,  1877284 used, 13098940 buff/cache
KiB Swap: 21168124 total, 21168124 free,        0 used. 14076484 avail Mem 

  PID USER      PR  NI    VIRT    RES    SHR S  %CPU %MEM     TIME+ COMMAND     
23125 dusk      20   0 1042212 310724  17296 S  95.0  1.9 275:03.19 motion      
28315 dusk      20   0 2865696 210800 100064 S   6.3  1.3   0:42.52 gnome-shell 
28926 dusk      20   0  703536  36896  27732 S   1.3  0.2   0:00.59 gnome-term+ 
28964 dusk      20   0  164200   4512   3796 R   0.7  0.0   0:00.14 top         
    1 root      20   0  223844  11932   8260 S   0.0  0.1   0:04.25 systemd     
    2 root      20   0       0      0      0 S   0.0  0.0   0:00.17 kthreadd    
    6 root       0 -20       0      0      0 S   0.0  0.0   0:00.00 mm_percpu_+ 
    7 root      20   0       0      0      0 S   0.0  0.0   0:27.63 ksoftirqd/0 
    8 root      20   0       0      0      0 S   0.0  0.0  10:55.45 rcu_sched   
    9 root      20   0       0      0      0 S   0.0  0.0   0:00.00 rcu_bh      
   10 root      20   0       0      0      0 S   0.0  0.0   6:05.96 rcuos/0     
   11 root      20   0       0      0      0 S   0.0  0.0   0:00.00 rcuob/0     
   12 root      rt   0       0      0      0 S   0.0  0.0   0:00.00 migration/0 
   13 root      rt   0       0      0      0 S   0.0  0.0   0:00.37 watchdog/0  
   14 root      20   0       0      0      0 S   0.0  0.0   0:00.00 cpuhp/0     
   15 root      20   0       0      0      0 S   0.0  0.0   0:00.00 cpuhp/1     
   16 root      rt   0       0      0      0 S   0.0  0.0   0:00.36 watchdog/1  
[dusk@dusk ~]$ 


reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=d547dc958e9941758c20208453c8259c;i=ee469;b=e5fbb4c6986b4e99839e307abd68b609;m=608aebc480;t=556198cef239b;x=9229e167c5b51a5b
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 85 Vilmos Nagy 2017-08-08 03:51:26 EDT
Similar problem has been detected:

Don't know. I was running VirtualBox, Intellij IDEA, and a Chrome when my desktop crashed.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=06e0e20d48ca408eb79e26bcb4a4aafd;i=a67f1;b=634a2cbc3220495c984affd3597fbe4f;m=17fb1304e;t=55638695757a7;x=e8cefea638c6689
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 86 Marcel Hetzendorfer 2017-08-08 05:54:14 EDT
Similar problem has been detected:

scrolled in chrome (google-chrome-stable)
then screen freezed and the shell restartet

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=f1eadca89a5748399a19803eded3a564;i=1c19f5;b=02716c38759e4363baec51786238820e;m=7890dc0c;t=5563a2077df72;x=bdf6908ede790695
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 87 Dakota Lambert 2017-08-08 18:46:44 EDT
Similar problem has been detected:

Transmission and firefox open. 

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=cf2d25acdf73454eaaf825d946555ec2;i=2144;b=88d8137b53cb451b93c05f82cac0e04f;m=11dc9c291;t=55645b6d0bcfc;x=e662234bac75f7f9
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 88 lantuin 2017-08-09 05:10:30 EDT
Similar problem has been detected:

Sometimes gnome-shell crash, I cannot understand why and I cannot recreate the problem, it happens randomly.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=1355311600e0456a991d08a6f6632d9e;i=1903;b=ca7df02570e14b4da74147056b7778e1;m=1742efba2;t=5564dbad82751;x=1e2e76ab3a7f5cbe
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 89 jim 2017-08-10 00:07:23 EDT
Similar problem has been detected:

watching vlc, fast forward 4x, black screen then login screen, log back in, all programs gone. 
     6th event in a week,   rebooted/updated yesterday.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=d547dc958e9941758c20208453c8259c;i=f9253;b=be15c73954ce4de0a00604245df88465;m=1279d0b7f6;t=5565e10b51ef8;x=c6a91e093cc5a807
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 90 lantuin 2017-08-10 02:59:48 EDT
Similar problem has been detected:

Only google chrome opened while browsing Facebook

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=1355311600e0456a991d08a6f6632d9e;i=51f1;b=3418ff0ed72a4cb1a51b2b39acf22b62;m=37db09f5;t=55660aa7bf8e4;x=95f0a723589696e2
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 91 James Legg 2017-08-10 09:21:15 EDT
Similar problem has been detected:

I was expecting a notification as Rhythmbox and just begun playing a new track, however, instead gnome-shell crashed. It does not reproduce every time, but I have seen this occur multiple times.
The active application at the time of the crash was OpenTTD, but I have seen gnome-shell crash in the same situation when other applications were focused.
I have night light enabled, but it is the middle of the day. I don't know if that affects it.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=44f406a37b2d46bca0bbd5e992d699f3;i=4efc2;b=5d6e4237842246aa84f9cd86f3541fc9;m=69820086;t=55664f1a5b3f7;x=7836950e206968ee
kernel:         4.11.11-300.fc26.x86_64+debug
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 92 James Legg 2017-08-10 09:32:12 EDT
(In reply to Evan Nemerson from comment #56)
> (In reply to andreas.mack@konsec.com from comment #55)
> > Thinkpad with intel gpu, second screen attached.
> 
> FWIW I also have multiple monitors (3) attached to an Intel CPU (Xeon
> E3-1225 v3) on the machine on which I've been having this problem…  Is
> anyone seeing this on a non-Intel GPU or with a single monitor?

I'm seeing it with a single monitor, but I do have an Intel GPU (Haswell Desktop).
Comment 93 Nicolas 2017-08-10 10:03:01 EDT
Similar problem has been detected:

Fedora is up to date. For me, gnome crash essentially when Audacious is opened.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=e04ee05235884490aa33eb8e36630e19;i=2c93e;b=bdb6e244d80240bb83372f4a5e413862;m=436326a4f;t=556668616a971;x=a0041f34dd24d78b
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 94 Rafael Gonzalez 2017-08-10 14:54:09 EDT
Similar problem has been detected:

I am currently using 2 monitors, in an extended setup.  I have no idea how this happens it seems random, last I remember
I was browsing with firefox and my graphics crash and gnome-shell reboots.  If this were to happen on wayland I would be
returned to the login screen.  So I switched from wayland to xorg because on xorg I get all my windows back at least.
It's a time waster, but not exactly a huge bug.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=a556b0a45afa49f1be1cc3cdc166f1c4;i=129fd4;b=5e17e24b1c1e4e16afb2ce7118e538d8;m=336847215;t=5566a80bfa582;x=c41d4a60760a70cd
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 95 Andrew Schultz 2017-08-12 09:48:45 EDT
Similar problem has been detected:

random crash during idle

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=aa7ed48f67c44afaab8b01c74e5ed267;i=9be803;b=569ab607e06043c081fc72bbfe3ed315;m=156493f209;t=5568e8da46b6f;x=8732fc2f6a62417f
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 96 Dan Loomis 2017-08-12 23:34:35 EDT
Similar problem has been detected:

Firefox open just finished watching a video on youtube.   Screen went blank and returned the Gnome login screen. 
Same symptom in an earlier problem three months ago and the fix was applied when it landed in updates.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=bea10238bd644a49a7c5c85d1f528020;i=579ec;b=05b4e1bdf1ed455cba30cde6aeb9cbf2;m=1befecdf7;t=5569a0fa61d0c;x=934b2c75b7e0af3d
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 97 Dan Loomis 2017-08-13 04:04:53 EDT
Similar problem has been detected:

Firefox was the only app running.    No videos running.   Second crash tonight.   

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=bea10238bd644a49a7c5c85d1f528020;i=585fb;b=f234030ffa764ff689291ecf56c383cb;m=2c23872e6;t=5569dd32981f0;x=f53b9932cd431de8
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 98 leigh scott 2017-08-13 06:16:53 EDT
Issue still present.


https://bugzilla.gnome.org/show_bug.cgi?id=785657#c7
Comment 99 Gabriel M. Elder 2017-08-14 19:18:41 EDT
Similar problem has been detected:

I have no idea how to reproduce this. It seemed like a random, unexpected crash. I was surfing the web via firefox, listening to internet radio music on rhythmbox, and also had a terminal window, file manager, and baobab open. Then the desktop session died for no apparent reason.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=10bacd2ad1664310953c03006c78a0a9;i=4fe18;b=f3447bf176fa4c069ce9053ed25490c4;m=5e3ee18d1;t=556be500d944e;x=e0310fb46dd2955d
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 100 jim 2017-08-15 00:12:09 EDT
Similar problem has been detected:

I was auto log out, log back in, everything was gone. a notification drop down " a error 3 min ago".
the computer has been updated  several times, and this  problem precises.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=d547dc958e9941758c20208453c8259c;i=fd954;b=445b4297b9f94206b55b4fbf9b438986;m=11dcc23446;t=556c25ce65e15;x=989802563ab16d7e
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 101 Herald van der Breggen 2017-08-15 06:33:30 EDT
Similar problem has been detected:

It happened while using a laptop with external monitor (both screens being active). 

I doubleclicked on a pdf-document  in nautilus. The system stopped responding and I know this happens often when the launched window is big and does not fit the laptop screen, the system is confused and stops responing (happens also often in case of a photo, so eog instead of evince). As I do often in these cases, I pull the monitor plug from the laptop and then the new winodw is displayed. After that I put in the monitor plug in the laptop again and things are back to normal. But in this case gnome-shell crashed.

So in fact the real problem is that gnome often is confused when using two monitors (in my case HiRes and different sizes) and launching new windows from the smallest screen. It never happens when launching new windows from the biggest screen.

I Don't know if it is relevant, but I configured my screens in such a way that the external monitor (the bigger one) is situated above the laptop screen.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=51948a45d67644e88f7d44443e390acd;i=5183;b=f9915e3dd1bb439b8186db75f812a227;m=41d8f2934;t=556c81542da87;x=52f3d85cff32178c
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 102 Adam Plumb 2017-08-15 14:04:02 EDT
Similar problem has been detected:

Running Fedora 26 Gnome.  I've gotten this crash a bunch of times since I upgraded from Fedora 25.  It always seems to happen when I'm playing music with Audacious.  The entire screen goes black and I have to re-login.  If I play music from some other source (Spotify app or VLC) it doesn't crash.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=08ec9499dd2f491fa901f20a7ac632e9;i=537a;b=f2696ce83a154c84afc4cbb19b837870;m=dd6f1197;t=556ce0fe87f9b;x=4d53c3d7d1a20cca
kernel:         4.12.5-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 103 Marco Malva 2017-08-15 15:14:32 EDT
Similar problem has been detected:

It seems that using chrome triggers the problem
Also scilab seems to trigger the problem as well

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=5a5bc260376f41fdb43991f46fb8e367;i=11ffe8;b=8fc45c25656241f5bf4390131ef00092;m=5f291244;t=556cf79afb33f;x=13940e408384057e
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 104 Fedora Update System 2017-08-16 18:18:02 EDT
gjs-1.48.6-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8d20027418
Comment 105 utoplenick 2017-08-17 01:33:26 EDT
Similar problem has been detected:

Periodically crash gnome-shell during browsing in google chrome or watching movies in mpv or during idling.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=554fc4113417489992f3af4d76f9412e;i=8c691;b=df852d26ae4c489cb0c32903a57face3;m=75bd13b3;t=556ebc538ff93;x=5f9d7eb6a913cba0
kernel:         4.12.5-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 106 Sam Song 2017-08-17 21:36:31 EDT
Still exists.

uname -a
Linux sam-pc.local 4.12.5-300.fc26.x86_64 #1 SMP Mon Aug 7 15:27:25 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux


gnome-shell.x86_64                     3.24.3-1.fc26               @System      
gnome-shell-extension-alternate-tab.noarch
gnome-shell-extension-apps-menu.noarch 3.24.3-1.fc26               @System      
gnome-shell-extension-background-logo.noarch
gnome-shell-extension-common.noarch    3.24.3-1.fc26               @System      
gnome-shell-extension-launch-new-instance.noarch
gnome-shell-extension-places-menu.noarch
gnome-shell-extension-window-list.noarch

How to reproduce:
It repeats very frequently, seems like at any random time, but I don't know how to reproduce.
Comment 107 icewater 2017-08-17 22:28:14 EDT
> It repeats very frequently

Five times for me yesterday.
Comment 108 Nicolas 2017-08-18 07:01:47 EDT
Similar problem has been detected:

Same situation for me, listening to music with Audacious.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=e04ee05235884490aa33eb8e36630e19;i=34f7d;b=4fcfd4be28ea4aa0a77f05752c69c2c4;m=160201e13c;t=55704dc7a98a5;x=218c14b55e9b0743
kernel:         4.12.5-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 109 jim 2017-08-18 19:16:22 EDT
Similar problem has been detected:

it's  back,  watching .mp4  ip cam footage,   in vlc at 4x,  then at the login screen as before.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=d547dc958e9941758c20208453c8259c;i=10e861;b=b889eafe08cd4a859e42d41b356e8322;m=ee5b72740;t=5570f27109097;x=38aee637b692e717
kernel:         4.12.5-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 110 Fedora Update System 2017-08-19 14:53:30 EDT
gjs-1.48.6-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8d20027418
Comment 111 Evan Nemerson 2017-08-19 15:03:33 EDT
(In reply to Fedora Update System from comment #110)
> gjs-1.48.6-2.fc26 has been pushed to the Fedora 26 testing repository. If
> problems still persist, please make note of it in this bug report.

Problems still persist.  I've hit this 4 times since I installed gjs-1.48.6-2 yesterday.
Comment 112 Dan Loomis 2017-08-21 01:37:13 EDT
Similar problem has been detected:

Random.   Fourth time in three months.   HP ZBook 17G2 with AMD Firepro.   System connected to ASUS 2K monitor through Display Port.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=bea10238bd644a49a7c5c85d1f528020;i=6146e;b=52050d68227a4030a52a3866fbab39ab;m=fa8c31db;t=5573ca981e444;x=59fe4328a2a6797b
kernel:         4.12.5-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 113 Vít Ondruch 2017-08-21 04:39:56 EDT
Can everybody attach version of gjs package installed on the Fedora? That would probably help a bit, because the patch applied in gjs-1.48.6-2 appears to fix the issue for me.
Comment 114 Ildar Akhmetgaleev 2017-08-21 06:51:48 EDT
Can confirm I have not faults after upgrade to gjs-1.48.6-2.fc26.
Comment 115 Gabriel M. Elder 2017-08-21 11:08:47 EDT
As a batch of some updates I installed a few days:

# dnf list gjs*
Last metadata expiration check: 1:57:06 ago on Mon 21 Aug 2017 06:39:39 AM CDT.
Installed Packages
gjs.x86_64                      1.48.6-1.fc26

Haven't experienced any recent gui session crashes.
Comment 116 Sam Song 2017-08-22 23:48:35 EDT
Similar problem has been detected:

I'm browsing a local web page, when I click go back, the gnome shell crashes and re login.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=74fad2e2e6c545778d05d7f0bc207682;i=c9fd;b=7bcb3f5a55f840b5ab4a1f5c88c1c511;m=2c04d6853;t=5576369491b37;x=1261a3eead5452c0
kernel:         4.12.5-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 117 Sam Song 2017-08-23 00:26:25 EDT
(In reply to Sam Song from comment #116)
> Similar problem has been detected:
> 
> I'm browsing a local web page, when I click go back, the gnome shell crashes
> and re login.
> 
> reporter:       libreport-2.9.1
> backtrace_rating: 4
> cmdline:        /usr/bin/gnome-shell
> crash_function: js::GCMethods<JSObject*>::needsPostBarrier
> executable:     /usr/bin/gnome-shell
> journald_cursor:
> s=74fad2e2e6c545778d05d7f0bc207682;i=c9fd;b=7bcb3f5a55f840b5ab4a1f5c88c1c511;
> m=2c04d6853;t=5576369491b37;x=1261a3eead5452c0
> kernel:         4.12.5-300.fc26.x86_64
> package:        gnome-shell-3.24.3-1.fc26
> reason:         gnome-shell killed by signal 11
> rootdir:        /
> runlevel:       N 5
> type:           CCpp
> uid:            1000

my gjs version is 
dnf list gjs*
Last metadata expiration check: 0:32:21 ago on Wed 23 Aug 2017 11:52:50 AM CST.
Installed Packages
gjs.x86_64                                                               1.48.6-1.fc26
Comment 118 Vít Ondruch 2017-08-23 04:14:28 EDT
(In reply to Sam Song from comment #117)
> (In reply to Sam Song from comment #116)
> > Similar problem has been detected:
> > 
> > I'm browsing a local web page, when I click go back, the gnome shell crashes
> > and re login.

Is it reproducible by a chance?

> my gjs version is 
> dnf list gjs*
> Last metadata expiration check: 0:32:21 ago on Wed 23 Aug 2017 11:52:50 AM
> CST.
> Installed Packages
> gjs.x86_64                                                              
> 1.48.6-1.fc26

You might want to try this update [1], which helps to some people.

[1] https://bodhi.fedoraproject.org/updates/FEDORA-2017-8d20027418
Comment 119 Mahdi Shabani 2017-08-23 07:00:09 EDT
Similar problem has been detected:

After desktop lock, it happend. 

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=8ec7b6e534f440f4ac589659c7c12ea2;i=b83e9;b=7a45221079c843028fc1330041e48932;m=319a65507;t=55768764e64a5;x=424a0dde0fd1f6d2
kernel:         4.12.5-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 120 Sam Song 2017-08-23 10:21:23 EDT
(In reply to Vít Ondruch from comment #118)
> (In reply to Sam Song from comment #117)
> > (In reply to Sam Song from comment #116)
> > > Similar problem has been detected:
> > > 
> > > I'm browsing a local web page, when I click go back, the gnome shell crashes
> > > and re login.
> 
> Is it reproducible by a chance?

No, I can't reproduce it.

> 
> > my gjs version is 
> > dnf list gjs*
> > Last metadata expiration check: 0:32:21 ago on Wed 23 Aug 2017 11:52:50 AM
> > CST.
> > Installed Packages
> > gjs.x86_64                                                              
> > 1.48.6-1.fc26
> 
> You might want to try this update [1], which helps to some people.
> 
> [1] https://bodhi.fedoraproject.org/updates/FEDORA-2017-8d20027418

I've installed it. I will feedback after a few days usage.
Comment 121 Fedora Update System 2017-08-23 15:54:38 EDT
gjs-1.48.6-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 122 Alexander Mayorov 2017-08-24 02:30:26 EDT
Similar problem has been detected:

https://bugzilla.redhat.com/show_bug.cgi?id=1484675

Browsed in Firefox and started "dnf upgrade" in Gnome-Terminal after stand-by during night time.
OS is running during some days without a reboot but some packages were updated via dnf during that time. Update log file dnf_reinstall+upgrade.log is attached to #1484675.

Crashed twice after updated to (with OS reboot)
gjs-1.48.6-2.fc26.x86_64.


Version-Release number of selected component:
gnome-shell-3.24.3-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier(JSObject*)
executable:     /usr/bin/gnome-shell
journald_cursor: s=743de8c3f0354095bbe6204e552ad2cd;i=1b776d;b=d420f3fd6850428bb1eac21f88b9e881;m=4297217b04;t=557792b4de8c2;x=d212bf71ee3c6c04
kernel:         4.12.4-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 123 Vít Ondruch 2017-08-24 02:37:35 EDT
This is not fixed. There was another set of patches published in [1]. You might want to try my scratch build with the patches applied:

https://koji.fedoraproject.org/koji/taskinfo?taskID=21426267


[1] https://bugzilla.gnome.org/show_bug.cgi?id=785657
Comment 124 gilbert 2017-08-27 08:38:46 EDT
Similar problem has been detected:

I am just browsing, then suddenly I was get logged out.

reporter:       libreport-2.9.1
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=31229b06a1cd4359bf26a34c76641f3b;i=11215d;b=26e5c239b17e4e93baed81ca41232707;m=2153b136d;t=557bb4f03c6a7;x=e98ab398d74d69fd
kernel:         4.12.8-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 125 Sam Song 2017-08-27 21:48:34 EDT
(In reply to Sam Song from comment #120)
> (In reply to Vít Ondruch from comment #118)
> > (In reply to Sam Song from comment #117)
> > > (In reply to Sam Song from comment #116)
> > > > Similar problem has been detected:
> > > > 
> > > > I'm browsing a local web page, when I click go back, the gnome shell crashes
> > > > and re login.
> > 
> > Is it reproducible by a chance?
> 
> No, I can't reproduce it.
> 
> > 
> > > my gjs version is 
> > > dnf list gjs*
> > > Last metadata expiration check: 0:32:21 ago on Wed 23 Aug 2017 11:52:50 AM
> > > CST.
> > > Installed Packages
> > > gjs.x86_64                                                              
> > > 1.48.6-1.fc26
> > 
> > You might want to try this update [1], which helps to some people.
> > 
> > [1] https://bodhi.fedoraproject.org/updates/FEDORA-2017-8d20027418
> 
> I've installed it. I will feedback after a few days usage.

My gnome shell has not crashed since installed gjs 1.48.6-2.
Comment 126 Vít Ondruch 2017-08-28 04:39:14 EDT
(In reply to Sam Song from comment #125)
Thx for the report. Although it may help, it is not the right fix according to upstream. You might want to try the scratch build from comment 123 instead.
Comment 127 Petr Kočandrle 2017-09-18 04:25:39 EDT
Similar problem has been detected:

I was just scrolling a facebook page in Firefox when suddenly the screen went black and Gnome got restarted.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=f9c5aba88deb456d92265a89cb0b250c;i=69ed9;b=0497c80dab5b4d1ca91367f22caee5a9;m=1496a42f7;t=5597138353dbd;x=331c72af8b39c8dc
kernel:         4.12.12-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            20975
Comment 128 jotonx 2017-09-24 00:40:06 EDT
Similar problem has been detected:

I was creating presentation using Libre Office Impress, then suddenly my system crashed. This happens often, randomly. (i.e. while browsing, writing report, etc)

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=475edb3eb4984344b70b05e348c62617;i=4796f;b=aad10f650810449bbba8d88568ac22a7;m=2f538c9bc;t=559fbe8ff0b08;x=37693a5ba010318f
kernel:         4.12.13-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 129 Bojan Jovanovic 2017-09-26 02:09:42 EDT
Similar problem has been detected:

Fedora 26, latest gnome-shell, extra extensions Dash to Dock and Topicons plus. Firefox,Rhythmbox and Tilix started.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=ca3a660bb8ca4946b2918ac7b12fcac2;i=5ecdc;b=85d6bdcc048a420185519288e1b2acd6;m=23a2947ed;t=55a1141c54289;x=782a8240f049a27c
kernel:         4.12.13-300.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 130 David Rodríguez 2017-10-08 21:17:23 EDT
Similar problem has been detected:

Esta editando un archivo en LibreOffice cuando se cerro la sesión, ingrese de nuevo y reporte el problema

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=d37d880ac3164bc584e3ec75ad349325;i=c8b17;b=b2c711d590f3424788876c875735140e;m=13cbbb52a;t=55b12b4e9ed16;x=60165bd28fe35da6
kernel:         4.12.14-300.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 131 Fabiano Fagundes Scalco 2017-10-22 20:37:29 EDT
Similar problem has been detected:

I had the fedora 24 installed on my computer and everything is working fine. 
Then I decided to upgrade  to fedora 25 and after to fedora 26.
Everything went fine but suddenly sometimes the gnome-shell crash. 
I don't know exactly what is happening because it's very random.
When it crashes, I have to login again.

reporter:       libreport-2.9.1
.~lock.comment#: ,ffscalco,link,23.10.2017 10:36,file:///home/ffscalco/.config/libreoffice/4;
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=c7d8ea360b174362a08e6e24e93dbc9c;i=15d4ae;b=1433c481ffcd43b3aa8283cfdd56a1ea;m=4ed70765;t=55c2bd28f6e6a;x=2230209758939e54
kernel:         4.13.5-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 132 Fabiano Fagundes Scalco 2017-10-22 20:42:50 EDT
Similar problem has been detected:

Crashed again after a few minutes.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=c7d8ea360b174362a08e6e24e93dbc9c;i=15d73a;b=1433c481ffcd43b3aa8283cfdd56a1ea;m=873be5e7;t=55c2c0af44cec;x=c36e18c655ae2da
kernel:         4.13.5-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 133 Fabiano Fagundes Scalco 2017-10-24 21:46:29 EDT
Similar problem has been detected:

I don't know exactly what is happening because it's very random. I had these apps opened:  sublimetext 3, google chrome (with 4 tabs), spotify and mysql workbench.
If I'm using the gnome to login, when it crashes, I have to login again.
If I'm using the gnome with xorg to login, when it crashes, I don't have to login again, and all my apps still opened.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=c7d8ea360b174362a08e6e24e93dbc9c;i=16303f;b=04279431193b46b0b8da52657a50cad5;m=155f4f6d9;t=55c5505af0df9;x=a42bd0caf87cdabd
kernel:         4.13.5-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 134 Leonardo Avellar 2017-10-25 00:30:08 EDT
After the Fedora upgrade (from 25 to 26), this crashes started to happen on my workstation. I wasn't really sure on what was causing them, but after upgrading all Gnome-Shell extentions I had, those random crashes stopped happening. My list of installed extensions: https://imgur.com/a/Cs84J
Comment 135 Fabiano Fagundes Scalco 2017-10-26 03:18:22 EDT
(In reply to Leonardo Avellar from comment #134)
> After the Fedora upgrade (from 25 to 26), this crashes started to happen on
> my workstation. I wasn't really sure on what was causing them, but after
> upgrading all Gnome-Shell extentions I had, those random crashes stopped
> happening. My list of installed extensions: https://imgur.com/a/Cs84J

Hi! Same for me! After that I updated the gnome extensions it stopped to crash.
Comment 136 Piotr Rogowski 2017-10-26 15:54:26 EDT
Similar problem has been detected:

I didn't even touched computer

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=2da5f49bdc1a45d78c6206b99b9e9904;i=5959;b=d63e5b307926489ca4f2ae8baa3eda4c;m=c9413724;t=55c75c9984456;x=b9404e1eb5e1b710
kernel:         4.13.8-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 137 Ben V 2017-11-02 23:16:36 EDT
Similar problem has been detected:

Gnome seems to crush if left unused for awhile.
I don't know how to reproduce it as it happens only about once a week, but it completely crashes
closing all applications and losing information.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=daa16eadbe464de4a32065d59cc678ec;i=1effa;b=63aee5cece634fa9822ee8f728dfcf98;m=2d9e7e215;t=55d0a515524e2;x=b02fa266fd84dcd2
kernel:         4.13.9-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 138 Piotr Rogowski 2017-11-10 04:53:58 EST
Similar problem has been detected:

Javascript Garbage Collection is crashing the whole user session!
Hotfix is really needed.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=5988a364b42e49138be62b6baab6a3ca;i=c13d;b=5b1ded51a6104488a1715bb35880970f;m=bf29f02ce;t=55d9dc78e66a2;x=ce4565403080540c
kernel:         4.13.11-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 139 Kåre Løvgren 2017-11-12 13:06:08 EST
Similar problem has been detected:

No particular steps, happened while I was reading a mail and listening to music.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=24fa15fa7c8f4c738b668a6df7b40917;i=d485b;b=a9d4915e7d6f428a9fae9c113768b61b;m=989eeaaa;t=55dcccb51048f;x=dbca8e4183ec55a6
kernel:         4.13.11-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 140 Piotr Rogowski 2017-11-13 08:45:58 EST
Similar problem has been detected:

I don't need to do anything,
happends multiple times per day

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=20644b5acd494068ba9d4471f14df77d;i=eb3;b=0cdafae76a2647d5993cd5bb02438fa9;m=382f41454;t=55ddc937c9442;x=6ca870df87bbc790
kernel:         4.13.11-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 141 Petr Kočandrle 2017-11-13 11:27:39 EST
Try to update/cleanup your extensions. For me the crashing stopped after I removed Top Icons extension, probably because it was clashing with Top Icons Plus which is installed by default in Fedora 26.
Comment 142 jim 2017-11-20 19:35:35 EST
Similar problem has been detected:

when i pressed the windows key, it all crashed. 
had ten's of crashes on this f26 install, all random activity, even when logged out
f24 and f25 had noting like this problem, will upgrade to f27 soon.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=d547dc958e9941758c20208453c8259c;i=2c294d;b=17cfafb18ae44be995d51ec0d160137a;m=a28dc3c4f;t=55e72ea3dd16e;x=d20c9af3ee57be20
kernel:         4.13.12-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 143 Dobmec 2018-01-17 08:40:21 EST
Similar problem has been detected:

I was using firefox (Google Docs) when suddenly Gnome shell crashed.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=9d79b59c10fa4a108aa0160e67427eaa;i=1176f;b=01a42e8c872c4490af9769abe2127f14;m=5e342d6a4;t=562f89e4cb449;x=ff534bb06e35f353
kernel:         4.14.11-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 144 xzj8b3 2018-01-28 09:34:11 EST
Abandoned Linux for too many problems.... CPU Intel Core I7-4510U too many problems with Mesa driver and Qualcomm network card Atheros AR956x Wireless network Adapter, which with the latest kernel not even connect!!!!!
Comment 145 emilyprachnau 2018-02-04 19:41:30 EST
Similar problem has been detected:

Running linux kernel 4.14.11-200.fc26.x86_64, my gnome desktop has segfaulted twice now, here's the relevant logs:

Feb 01 06:29:19 emilypc kernel: gnome-shell[2151]: segfault at 7f4c245fffe8 ip 00007f4cbf184495 sp 00007ffd35c98090 error 4 in libgjs.so.0.0.0[7f4cbf14e000+ba000]
Feb 01 06:29:19 emilypc systemd[1]: Created slice system-systemd\x2dcoredump.slice.
Feb 01 06:29:19 emilypc systemd[1]: Started Process Core Dump (PID 24862/UID 0).
Feb 01 06:29:19 emilypc audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd-coredump@0-24862-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=succ
Feb 01 06:29:20 emilypc polkitd[964]: Unregistered Authentication Agent for unix-session:3 (system bus name :1.57, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8) (disconnected f
Feb 01 06:29:20 emilypc gnome-session[2061]: gnome-session-binary[2061]: WARNING: Application 'org.gnome.Shell.desktop' killed by signal 11
Feb 01 06:29:20 emilypc gnome-session-binary[2061]: WARNING: Application 'org.gnome.Shell.desktop' killed by signal 11
Feb 01 06:29:20 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): CRT-0: disconnected
Feb 01 06:29:20 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): CRT-0: 400.0 MHz maximum pixel clock
Feb 01 06:29:20 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0):
Feb 01 06:29:20 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): LG Electronics LG FULL HD (DFP-0): connected
Feb 01 06:29:20 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): LG Electronics LG FULL HD (DFP-0): Internal TMDS
Feb 01 06:29:20 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): LG Electronics LG FULL HD (DFP-0): 330.0 MHz maximum pixel clock
Feb 01 06:29:20 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0):
Feb 01 06:29:20 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): DFP-1: disconnected
Feb 01 06:29:20 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): DFP-1: Internal TMDS
Feb 01 06:29:20 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): DFP-1: 165.0 MHz maximum pixel clock
Feb 01 06:29:20 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0):
Feb 01 06:29:20 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): DFP-2: disconnected
Feb 01 06:29:20 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): DFP-2: Internal TMDS
Feb 01 06:29:20 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): DFP-2: 165.0 MHz maximum pixel clock
Feb 01 06:29:20 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0):
Feb 01 06:29:20 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): LG Electronics LG FULL HD (DFP-3): connected
Feb 01 06:29:20 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): LG Electronics LG FULL HD (DFP-3): Internal TMDS
Feb 01 06:29:20 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): LG Electronics LG FULL HD (DFP-3): 330.0 MHz maximum pixel clock
Feb 01 06:29:20 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0):
Feb 01 06:29:20 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): DFP-4: disconnected
Feb 01 06:29:20 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): DFP-4: Internal DisplayPort
Feb 01 06:29:20 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): DFP-4: 960.0 MHz maximum pixel clock
Feb 01 06:29:20 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0):
Feb 01 06:29:20 emilypc /usr/libexec/gdm-x-session[2044]: (II) NVIDIA(0): Setting mode "DVI-D-0: nvidia-auto-select @1920x1080 +1920+0 {ViewPortIn=1920x1080, ViewPortOut=1920x1080+0+0}"
Feb 01 06:29:20 emilypc /usr/libexec/gdm-x-session[2044]: (II) NVIDIA(0): Setting mode "DVI-I-1: nvidia-auto-select @1920x1080 +0+0 {AllowGSYNC=Off, ViewPortIn=1920x1080, ViewPortOut=1920x1080+0+0}, DVI-D-0: nvi
Feb 01 06:29:20 emilypc gnome-shell[24868]: JS WARNING: [resource:///org/gnome/shell/ui/main.js 317]: reference to undefined property global.stage
Feb 01 06:29:20 emilypc gnome-shell[24868]: JS WARNING: [resource:///org/gnome/shell/ui/layout.js 217]: reference to undefined property global.window_group
Feb 01 06:29:20 emilypc gnome-shell[24868]: JS WARNING: [resource:///org/gnome/shell/ui/osdMonitorLabeler.js 59]: reference to undefined property Meta.MonitorManager
Feb 01 06:29:20 emilypc systemd-coredump[24863]: Process 2151 (gnome-shell) of user 1000 dumped core.
                                                 
                                                 Stack trace of thread 2151:
                                                 #0  0x00007f4cbf184495 n/a (libgjs.so.0)
                                                 #1  0x00007f4cbf186ec2 n/a (libgjs.so.0)
                                                 #2  0x00007f4cb39a8563 _ZL14FinalizeArenasPN2js6FreeOpEPPNS_2gc11ArenaHeaderERNS2_15SortedArenaListENS2_9AllocKindERNS_11SliceBudgetENS2_10ArenaLists14KeepArenasE
                                                 #3  0x00007f4cb3a032b3 _ZN2js2gc10ArenaLists16forceFinalizeNowEPNS_6FreeOpENS0_9AllocKindENS1_14KeepArenasEnumEPPNS0_11ArenaHeaderE (libmozjs-38.so)
                                                 #4  0x00007f4cb39a9831 _ZN2js2gc10ArenaLists30queueForegroundObjectsForSweepEPNS_6FreeOpE (libmozjs-38.so)
                                                 #5  0x00007f4cb39c01e9 _ZN2js2gc9GCRuntime22beginSweepingZoneGroupEv (libmozjs-38.so)
                                                 #6  0x00007f4cb39c09c8 _ZN2js2gc9GCRuntime15beginSweepPhaseEb (libmozjs-38.so)
                                                 #7  0x00007f4cb39c2be3 _ZN2js2gc9GCRuntime23incrementalCollectSliceERNS_11SliceBudgetEN2JS8gcreason6ReasonE (libmozjs-38.so)
                                                 #8  0x00007f4cb39c35d2 _ZN2js2gc9GCRuntime7gcCycleEbRNS_11SliceBudgetEN2JS8gcreason6ReasonE (libmozjs-38.so)
                                                 #9  0x00007f4cb39c382d _ZN2js2gc9GCRuntime7collectEbNS_11SliceBudgetEN2JS8gcreason6ReasonE (libmozjs-38.so)
                                                 #10 0x00007f4cb39c3e62 _ZN2js2gc9GCRuntime13gcIfRequestedEP9JSContext (libmozjs-38.so)
                                                 #11 0x00007f4cb36b2637 _ZN2js6InvokeEP9JSContextN2JS8CallArgsENS_14MaybeConstructE (libmozjs-38.so)
                                                 #12 0x00007f4cb36b3243 _ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS4_NS2_13MutableHandleIS3_EE (libmozjs-38.so)
                                                 #13 0x00007f4cb397cae9 _Z20JS_CallFunctionValueP9JSContextN2JS6HandleIP8JSObjectEENS2_INS1_5ValueEEERKNS1_16HandleValueArrayENS1_13MutableHandleIS6_EE (libmozjs-3
                                                 #14 0x00007f4cbf17d63c n/a (libgjs.so.0)
                                                 #15 0x00007f4cb3b9297f ffi_closure_unix64_inner (libffi.so.6)
                                                 #16 0x00007f4cb3b92d46 ffi_closure_unix64 (libffi.so.6)
                                                 #17 0x00007f4cbb433073 _clutter_actor_get_paint_volume_mutable (libmutter-clutter-0.so)
                                                 #18 0x00007f4cbb43c91c clutter_actor_get_transformed_paint_volume (libmutter-clutter-0.so)
                                                 #19 0x00007f4cc02aa637 st_widget_get_paint_volume (libgnome-shell.so)
                                                 #20 0x00007f4cc0287d8b st_box_layout_get_paint_volume (libgnome-shell.so)
                                                 #21 0x00007f4cbb433073 _clutter_actor_get_paint_volume_mutable (libmutter-clutter-0.so)
                                                 #22 0x00007f4cbb43c91c clutter_actor_get_transformed_paint_volume (libmutter-clutter-0.so)
                                                 #23 0x00007f4cc02aa637 st_widget_get_paint_volume (libgnome-shell.so)
                                                 #24 0x00007f4cbb433073 _clutter_actor_get_paint_volume_mutable (libmutter-clutter-0.so)
                                                 #25 0x00007f4cbb43c91c clutter_actor_get_transformed_paint_volume (libmutter-clutter-0.so)
                                                 #26 0x00007f4cc02aa637 st_widget_get_paint_volume (libgnome-shell.so)
                                                 #27 0x00007f4cbb433073 _clutter_actor_get_paint_volume_mutable (libmutter-clutter-0.so)
                                                 #28 0x00007f4cbb43cfbb clutter_actor_paint.part.44 (libmutter-clutter-0.so)
                                                 #29 0x00007f4cbb43d5a0 clutter_actor_real_paint (libmutter-clutter-0.so)
                                                 #30 0x00007f4cb7c77221 g_closure_invoke (libgobject-2.0.so.0)
                                                 #31 0x00007f4cb7c893c0 signal_emit_unlocked_R (libgobject-2.0.so.0)
                                                 #32 0x00007f4cb7c92195 g_signal_emit_valist (libgobject-2.0.so.0)
                                                 #33 0x00007f4cb7c92aff g_signal_emit (libgobject-2.0.so.0)
                                                 #34 0x00007f4cbb436fa0 clutter_actor_continue_paint (libmutter-clutter-0.so)
                                                 #35 0x00007f4cbb43d314 clutter_actor_paint.part.44 (libmutter-clutter-0.so)
                                                 #36 0x00007f4cc027df04 shell_generic_container_paint (libgnome-shell.so)
                                                 #37 0x00007f4cb7c77221 g_closure_invoke (libgobject-2.0.so.0)
                                                 #38 0x00007f4cb7c893c0 signal_emit_unlocked_R (libgobject-2.0.so.0)
                                                 #39 0x00007f4cb7c92195 g_signal_emit_valist (libgobject-2.0.so.0)
                                                 #40 0x00007f4cb7c92aff g_signal_emit (libgobject-2.0.so.0)
                                                 #41 0x00007f4cbb436fa0 clutter_actor_continue_paint (libmutter-clutter-0.so)
                                                 #42 0x00007f4cbb43d314 clutter_actor_paint.part.44 (libmutter-clutter-0.so)
                                                 #43 0x00007f4cbb49058a clutter_stage_paint (libmutter-clutter-0.so)
                                                 #44 0x00007f4cbc3ac626 meta_stage_paint (libmutter-0.so.0)
                                                 #45 0x00007f4cb7c7730d g_closure_invoke (libgobject-2.0.so.0)
                                                 #46 0x00007f4cb7c893c0 signal_emit_unlocked_R (libgobject-2.0.so.0)
                                                 #47 0x00007f4cb7c92195 g_signal_emit_valist (libgobject-2.0.so.0)
                                                 #48 0x00007f4cb7c92aff g_signal_emit (libgobject-2.0.so.0)
                                                 #49 0x00007f4cbb436fa0 clutter_actor_continue_paint (libmutter-clutter-0.so)
                                                 #50 0x00007f4cbb43d314 clutter_actor_paint.part.44 (libmutter-clutter-0.so)
                                                 #51 0x00007f4cbb494615 clutter_stage_do_paint_view (libmutter-clutter-0.so)
                                                 #52 0x00007f4cbb494923 _clutter_stage_paint_view (libmutter-clutter-0.so)
                                                 #53 0x00007f4cbb427d34 paint_stage (libmutter-clutter-0.so)
                                                 #54 0x00007f4cbb4283bb clutter_stage_cogl_redraw_view (libmutter-clutter-0.so)
                                                 #55 0x00007f4cbb42891b clutter_stage_cogl_redraw (libmutter-clutter-0.so)
                                                 #56 0x00007f4cbb4914dd _clutter_stage_do_update (libmutter-clutter-0.so)
                                                 #57 0x00007f4cbb47d019 clutter_clock_dispatch (libmutter-clutter-0.so)
                                                 #58 0x00007f4cb799f257 g_main_context_dispatch (libglib-2.0.so.0)
                                                 #59 0x00007f4cb799f5f8 g_main_context_iterate.isra.25 (libglib-2.0.so.0)
                                                 #60 0x00007f4cb799f912 g_main_loop_run (libglib-2.0.so.0)
                                                 #61 0x00007f4cbc3d922c meta_run (libmutter-0.so.0)
                                                 #62 0x000055f1bca714a7 main (gnome-shell)
                                                 #63 0x00007f4cb5dd388a __libc_start_main (libc.so.6)
                                                 
                                                 Stack trace of thread 2171:
                                                 #0  0x00007f4cb619590b pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                 #1  0x00007f4cafdb8550 PR_WaitCondVar (libnspr4.so)
                                                 #2  0x00007f4cb368c0b1 _ZN2js12HelperThread10threadLoopEv (libmozjs-38.so)
                                                 #3  0x00007f4cafdbe0eb _pt_root (libnspr4.so)
                                                 #4  0x00007f4cb618f36d start_thread (libpthread.so.0)
                                                 #5  0x00007f4cb5ec3e1f __clone (libc.so.6)
                                                 
                                                 Stack trace of thread 2178:
                                                 #0  0x00007f4cb619590b pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                 #1  0x00007f4cafdb8550 PR_WaitCondVar (libnspr4.so)
                                                 #2  0x00007f4cb368c0b1 _ZN2js12HelperThread10threadLoopEv (libmozjs-38.so)
                                                 #3  0x00007f4cafdbe0eb _pt_root (libnspr4.so)
                                                 #4  0x00007f4cb618f36d start_thread (libpthread.so.0)
                                                 #5  0x00007f4cb5ec3e1f __clone (libc.so.6)
                                                 
                                                 Stack trace of thread 2173:
                                                 #0  0x00007f4cb619590b pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                 #1  0x00007f4cafdb8550 PR_WaitCondVar (libnspr4.so)
                                                 #2  0x00007f4cb368c0b1 _ZN2js12HelperThread10threadLoopEv (libmozjs-38.so)
                                                 #3  0x00007f4cafdbe0eb _pt_root (libnspr4.so)
                                                 #4  0x00007f4cb618f36d start_thread (libpthread.so.0)
                                                 #5  0x00007f4cb5ec3e1f __clone (libc.so.6)
                                                 
                                                 Stack trace of thread 2177:
                                                 #0  0x00007f4cb619590b pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                 #1  0x00007f4cafdb8550 PR_WaitCondVar (libnspr4.so)
                                                 #2  0x00007f4cb368c0b1 _ZN2js12HelperThread10threadLoopEv (libmozjs-38.so)
                                                 #3  0x00007f4cafdbe0eb _pt_root (libnspr4.so)
                                                 #4  0x00007f4cb618f36d start_thread (libpthread.so.0)
                                                 #5  0x00007f4cb5ec3e1f __clone (libc.so.6)
                                                 
                                                 Stack trace of thread 2155:
                                                 #0  0x00007f4cb5eb7d2d poll (libc.so.6)
                                                 #1  0x00007f4cb799f579 g_main_context_iterate.isra.25 (libglib-2.0.so.0)
                                                 #2  0x00007f4cb799f68c g_main_context_iteration (libglib-2.0.so.0)
                                                 #3  0x00007f4c96a4bf3d dconf_gdbus_worker_thread (libdconfsettings.so)
                                                 #4  0x00007f4cb79c6516 g_thread_proxy (libglib-2.0.so.0)
                                                 #5  0x00007f4cb618f36d start_thread (libpthread.so.0)
                                                 #6  0x00007f4cb5ec3e1f __clone (libc.so.6)
                                                 
                                                 Stack trace of thread 2620:
                                                 #0  0x00007f4cb5ebe7b9 syscall (libc.so.6)
                                                 #1  0x00007f4cb79e45bf g_cond_wait (libglib-2.0.so.0)
                                                 #2  0x00007f4cb89983dc threaded_swap_wait (libmutter-cogl-0.so)
                                                 #3  0x00007f4cb79c6516 g_thread_proxy (libglib-2.0.so.0)
                                                 #4  0x00007f4cb618f36d start_thread (libpthread.so.0)
                                                 #5  0x00007f4cb5ec3e1f __clone (libc.so.6)
                                                 
                                                 Stack trace of thread 2180:
                                                 #0  0x00007f4cb619590b pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                 #1  0x00007f4cafdb8550 PR_WaitCondVar (libnspr4.so)
                                                 #2  0x00007f4cb368c0b1 _ZN2js12HelperThread10threadLoopEv (libmozjs-38.so)
                                                 #3  0x00007f4cafdbe0eb _pt_root (libnspr4.so)
                                                 #4  0x00007f4cb618f36d start_thread (libpthread.so.0)
                                                 #5  0x00007f4cb5ec3e1f __clone (libc.so.6)

                                                 Stack trace of thread 2174:
                                                 #0  0x00007f4cb619590b pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                 #1  0x00007f4cafdb8550 PR_WaitCondVar (libnspr4.so)
                                                 #2  0x00007f4cb368c0b1 _ZN2js12HelperThread10threadLoopEv (libmozjs-38.so)
                                                 #3  0x00007f4cafdbe0eb _pt_root (libnspr4.so)
                                                 #4  0x00007f4cb618f36d start_thread (libpthread.so.0)
                                                 #5  0x00007f4cb5ec3e1f __clone (libc.so.6)
                                                 
                                                 Stack trace of thread 2170:
                                                 #0  0x00007f4cb619590b pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                 #1  0x00007f4cafdb8550 PR_WaitCondVar (libnspr4.so)
                                                 #2  0x00007f4cb368c0b1 _ZN2js12HelperThread10threadLoopEv (libmozjs-38.so)
                                                 #3  0x00007f4cafdbe0eb _pt_root (libnspr4.so)
                                                 #4  0x00007f4cb618f36d start_thread (libpthread.so.0)
                                                 #5  0x00007f4cb5ec3e1f __clone (libc.so.6)
                                                 
                                                 Stack trace of thread 2152:
                                                 #0  0x00007f4cb5eb7d2d poll (libc.so.6)
                                                 #1  0x00007f4cb799f579 g_main_context_iterate.isra.25 (libglib-2.0.so.0)
                                                 #2  0x00007f4cb799f68c g_main_context_iteration (libglib-2.0.so.0)
                                                 #3  0x00007f4cb799f6d1 glib_worker_main (libglib-2.0.so.0)
                                                 #4  0x00007f4cb79c6516 g_thread_proxy (libglib-2.0.so.0)
                                                 #5  0x00007f4cb618f36d start_thread (libpthread.so.0)
                                                 #6  0x00007f4cb5ec3e1f __clone (libc.so.6)
                                                 
                                                 Stack trace of thread 2153:
                                                 #0  0x00007f4cb5eb7d2d poll (libc.so.6)
                                                 #1  0x00007f4cb799f579 g_main_context_iterate.isra.25 (libglib-2.0.so.0)
                                                 #2  0x00007f4cb799f912 g_main_loop_run (libglib-2.0.so.0)
                                                 #3  0x00007f4cb94c5db6 gdbus_shared_thread_func (libgio-2.0.so.0)
                                                 #4  0x00007f4cb79c6516 g_thread_proxy (libglib-2.0.so.0)
                                                 #5  0x00007f4cb618f36d start_thread (libpthread.so.0)
                                                 #6  0x00007f4cb5ec3e1f __clone (libc.so.6)
                                                 
                                                 Stack trace of thread 2176:
                                                 #0  0x00007f4cb619590b pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                 #1  0x00007f4cafdb8550 PR_WaitCondVar (libnspr4.so)
                                                 #2  0x00007f4cb368c0b1 _ZN2js12HelperThread10threadLoopEv (libmozjs-38.so)
                                                 #3  0x00007f4cafdbe0eb _pt_root (libnspr4.so)
                                                 #4  0x00007f4cb618f36d start_thread (libpthread.so.0)
                                                 #5  0x00007f4cb5ec3e1f __clone (libc.so.6)
                                                 
                                                 Stack trace of thread 2169:
                                                 #0  0x00007f4cb5eb7d2d poll (libc.so.6)
                                                 #1  0x00007f4cbf9d9c01 poll_func (libpulse.so.0)
                                                 #2  0x00007f4cbf9cb5c0 pa_mainloop_poll (libpulse.so.0)
                                                 #3  0x00007f4cbf9cbc50 pa_mainloop_iterate (libpulse.so.0)
                                                 #4  0x00007f4cbf9cbce0 pa_mainloop_run (libpulse.so.0)
                                                 #5  0x00007f4cbf9d9b49 thread (libpulse.so.0)
                                                 #6  0x00007f4cb5b843a8 internal_thread_func (libpulsecommon-11.1.so)
                                                 #7  0x00007f4cb618f36d start_thread (libpthread.so.0)
                                                 #8  0x00007f4cb5ec3e1f __clone (libc.so.6)
                                                 
                                                 Stack trace of thread 2179:
                                                 #0  0x00007f4cb619590b pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                 #1  0x00007f4cafdb8550 PR_WaitCondVar (libnspr4.so)
                                                 #2  0x00007f4cb368c0b1 _ZN2js12HelperThread10threadLoopEv (libmozjs-38.so)
                                                 #3  0x00007f4cafdbe0eb _pt_root (libnspr4.so)
                                                 #4  0x00007f4cb618f36d start_thread (libpthread.so.0)
                                                 #5  0x00007f4cb5ec3e1f __clone (libc.so.6)
                                                 
                                                 Stack trace of thread 2175:
                                                 #0  0x00007f4cb619590b pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                 #1  0x00007f4cafdb8550 PR_WaitCondVar (libnspr4.so)
                                                 #2  0x00007f4cb368c0b1 _ZN2js12HelperThread10threadLoopEv (libmozjs-38.so)
                                                 #3  0x00007f4cafdbe0eb _pt_root (libnspr4.so)
                                                 #4  0x00007f4cb618f36d start_thread (libpthread.so.0)
                                                 #5  0x00007f4cb5ec3e1f __clone (libc.so.6)

                                                 Stack trace of thread 2181:
                                                 #0  0x00007f4cb619590b pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                 #1  0x00007f4cafdb8550 PR_WaitCondVar (libnspr4.so)
                                                 #2  0x00007f4cb368c0b1 _ZN2js12HelperThread10threadLoopEv (libmozjs-38.so)
                                                 #3  0x00007f4cafdbe0eb _pt_root (libnspr4.so)
                                                 #4  0x00007f4cb618f36d start_thread (libpthread.so.0)
                                                 #5  0x00007f4cb5ec3e1f __clone (libc.so.6)
                                                 
                                                 Stack trace of thread 2172:
                                                 #0  0x00007f4cb619590b pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                 #1  0x00007f4cafdb8550 PR_WaitCondVar (libnspr4.so)
                                                 #2  0x00007f4cb368c0b1 _ZN2js12HelperThread10threadLoopEv (libmozjs-38.so)
                                                 #3  0x00007f4cafdbe0eb _pt_root (libnspr4.so)
                                                 #4  0x00007f4cb618f36d start_thread (libpthread.so.0)
                                                 #5  0x00007f4cb5ec3e1f __clone (libc.so.6)

                                                 Stack trace of thread 2181:
                                                 #0  0x00007f4cb619590b pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                 #1  0x00007f4cafdb8550 PR_WaitCondVar (libnspr4.so)
                                                 #2  0x00007f4cb368c0b1 _ZN2js12HelperThread10threadLoopEv (libmozjs-38.so)
                                                 #3  0x00007f4cafdbe0eb _pt_root (libnspr4.so)
                                                 #4  0x00007f4cb618f36d start_thread (libpthread.so.0)
                                                 #5  0x00007f4cb5ec3e1f __clone (libc.so.6)
                                                 
                                                 Stack trace of thread 2172:
                                                 #0  0x00007f4cb619590b pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                 #1  0x00007f4cafdb8550 PR_WaitCondVar (libnspr4.so)
                                                 #2  0x00007f4cb368c0b1 _ZN2js12HelperThread10threadLoopEv (libmozjs-38.so)
                                                 #3  0x00007f4cafdbe0eb _pt_root (libnspr4.so)
                                                 #4  0x00007f4cb618f36d start_thread (libpthread.so.0)
                                                 #5  0x00007f4cb5ec3e1f __clone (libc.so.6)
Feb 01 06:29:20 emilypc org.gnome.Shell.desktop[24868]: current session already has an ibus-daemon.
Feb 01 06:29:21 emilypc audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=geoclue comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Feb 01 06:29:21 emilypc audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd-coredump@0-24862-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Feb 01 06:29:21 emilypc dbus-daemon[827]: [system] Activating via systemd: service name='org.freedesktop.GeoClue2' unit='geoclue.service' requested by ':1.253' (uid=1000 pid=24868 comm="/usr/bin/gnome-shell ")
Feb 01 06:29:21 emilypc gnome-shell[24868]: JS WARNING: [resource:///org/gnome/shell/ui/slider.js 34]: reference to undefined property St.GenericAccessible
Feb 01 06:29:21 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): CRT-0: disconnected
Feb 01 06:29:21 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): CRT-0: 400.0 MHz maximum pixel clock
Feb 01 06:29:21 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0):
Feb 01 06:29:21 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): LG Electronics LG FULL HD (DFP-0): connected
Feb 01 06:29:21 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): LG Electronics LG FULL HD (DFP-0): Internal TMDS
Feb 01 06:29:21 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): LG Electronics LG FULL HD (DFP-0): 330.0 MHz maximum pixel clock
Feb 01 06:29:21 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0):
Feb 01 06:29:21 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): DFP-1: disconnected
Feb 01 06:29:21 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): DFP-1: Internal TMDS
Feb 01 06:29:21 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): DFP-1: 165.0 MHz maximum pixel clock
Feb 01 06:29:21 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0):
Feb 01 06:29:21 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): DFP-2: disconnected
Feb 01 06:29:21 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): DFP-2: Internal TMDS
Feb 01 06:29:21 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): DFP-2: 165.0 MHz maximum pixel clock
Feb 01 06:29:21 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0):
Feb 01 06:29:21 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): LG Electronics LG FULL HD (DFP-3): connected
Feb 01 06:29:21 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): LG Electronics LG FULL HD (DFP-3): Internal TMDS
Feb 01 06:29:21 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): LG Electronics LG FULL HD (DFP-3): 330.0 MHz maximum pixel clock
Feb 01 06:29:21 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0):
Feb 01 06:29:21 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): DFP-4: disconnected
Feb 01 06:29:21 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): DFP-4: Internal DisplayPort
Feb 01 06:29:21 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0): DFP-4: 960.0 MHz maximum pixel clock
Feb 01 06:29:21 emilypc /usr/libexec/gdm-x-session[2044]: (--) NVIDIA(GPU-0):
Feb 01 06:29:21 emilypc dbus-daemon[827]: [system] Successfully activated service 'org.freedesktop.GeoClue2'
Feb 01 06:29:21 emilypc systemd[1]: Starting Location Lookup Service...
Feb 01 06:29:21 emilypc polkitd[964]: Registered Authentication Agent for unix-session:3 (system bus name :1.253 [/usr/bin/gnome-shell], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8)
Feb 01 06:29:21 emilypc systemd[1]: Started Location Lookup Service.
Feb 01 06:29:21 emilypc gnome-shell[24868]: JS WARNING: [resource:///org/gnome/gjs/modules/tweener/tweener.js 540]: reference to undefined property properties[istr].isSpecialProperty
Feb 01 06:29:21 emilypc gnome-shell[24868]: Error looking up permission: GDBus.Error:org.freedesktop.portal.Error.NotFound: No entry for geolocation
Feb 01 06:29:21 emilypc gnome-shell[24868]: GNOME Shell started at Thu Feb 01 2018 06:29:21 GMT-0800 (PST)
Feb 01 06:29:22 emilypc abrtd[864]: Size of '/var/spool/abrt' >= 5000 MB (MaxCrashReportsSize), deleting old directory 'ccpp-2018-01-04-21:25:26.892351-1742'
Feb 01 06:29:22 emilypc abrtd[864]: Size of '/var/spool/abrt' >= 5000 MB (MaxCrashReportsSize), deleting old directory 'ccpp-2017-11-28-10:26:36.758467-8016'
Feb 01 06:29:22 emilypc abrtd[864]: Size of '/var/spool/abrt' >= 5000 MB (MaxCrashReportsSize), deleting old directory 'ccpp-2017-10-14-12:54:56-6141'
Feb 01 06:29:22 emilypc abrtd[864]: Size of '/var/spool/abrt' >= 5000 MB (MaxCrashReportsSize), deleting old directory 'ccpp-2017-10-31-22:57:08-2742'
Feb 01 06:29:22 emilypc abrtd[864]: Size of '/var/spool/abrt' >= 5000 MB (MaxCrashReportsSize), deleting old directory 'ccpp-2017-09-21-08:28:33-17881'
Feb 01 06:29:22 emilypc abrtd[864]: Size of '/var/spool/abrt' >= 5000 MB (MaxCrashReportsSize), deleting old directory 'Python3-2017-12-08-10:22:38-26992'
Feb 01 06:29:23 emilypc org.freedesktop.problems[827]: abrt-dbus: Lock file '.lock' is locked by process 25010
Feb 01 06:29:23 emilypc abrt-notification[25011]: Process 2151 (gnome-shell) crashed in ??()

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=694f7ab384374f789018da8e34377f11;i=cdc0;b=d1879049d35048f881e63d48e4579ec3;m=bf4eadb9d8;t=5646bd1621b65;x=8ef37b1730780ab4
kernel:         4.14.11-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 146 Fedora End Of Life 2018-05-03 04:32:27 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.